
QGIS Application - Bug report #8056

Ring is incorrectly interpreted if MIF is used

2013-06-13 04:47 AM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16897

Description

QGIS should render ring as a hole in the polygon and this indeed happens with attached TAB, but not with MIF/MID.

Like this: http://gis-lab.info/images/screenshots/20130613-13f-92kb.jpg

It seems that this is not GDAL issue, but the issue is how QGIS interprets direction of nodes sequence of the ring. If outer polygon and

inner are counterdirected - the ring draws, if direction is the same - it doesn't.

Sample data: http://gis-lab.info/forum/download/file.php?id=5935

History

#1 - 2017-04-07 06:39 PM - dr -

I've faced with the same issue in the latest master.

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
